Get a push crash data report
Query parameters
startDatestring · date-timeOptionalExample:
Start date of the report (ignored if older than 24h from now)
2024-11-15T11:00:00.000ZHeader parameters
x-dq-enterprise-api-keystringRequired
Enterprise API key
Responses
200
OK
application/json
statusstring · enumOptionalExample:
Current status of the push service
ACTIVEPossible values: startDatestring · date-timeOptionalExample:
Start date of the report
2024-11-21T11:09:09.000+0000endDatestring · date-timeOptionalExample:
End date of the report
2024-11-22T11:09:09.000+0000failedintegerOptionalExample:
Number of failed push requests
3pushedintegerOptionalExample:
Number of successful push requests
3987onHoldintegerOptionalExample:
Number of push requests on-hold because the push service was paused automatically (too many failures)
0totalintegerOptionalExample:
Total number of push requests
3990400
Bad request
application/json
401
Unauthorized
get/push/crashes/metrics
GET /v1/enterprise/push/crashes/metrics HTTP/1.1
Host: service.drivequant.com
x-dq-enterprise-api-key: text
Accept: */*
{
"status": "ACTIVE",
"startDate": "2024-11-21T11:09:09.000+0000",
"endDate": "2024-11-22T11:09:09.000+0000",
"failed": 3,
"pushed": 3987,
"onHold": 0,
"total": 3990
}Response
Name
Type
Description
Last updated
Was this helpful?

